## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanFileUtility::reportStruct Struct Reference

Collaboration diagram for XalanFileUtility::reportStruct:

[legend]
List of all members.

## Public Member Functions

- reportStruct (MemoryManagerType &theManager)
- void reset ()

## Public Attributes

- XalanDOMString theDrive
- XalanDOMString testOrFile
- XalanDOMString xmlFileURL
- XalanDOMString xslFileURL
- XalanDOMString xmlFormat
- const char * msg
- XalanDOMString currentNode
- XalanDOMString actual
- XalanDOMString expected
- int pass
- int fail
- int nogold

## Constructor & Destructor Documentation

XalanFileUtility::reportStruct::reportStruct | ( | MemoryManagerType & | theManager | ) |

## Member Function Documentation

void XalanFileUtility::reportStruct::reset | ( |  | ) |

## Member Data Documentation

XalanDOMString XalanFileUtility::reportStruct::actual

XalanDOMString XalanFileUtility::reportStruct::currentNode

XalanDOMString XalanFileUtility::reportStruct::expected

int XalanFileUtility::reportStruct::fail

const char* XalanFileUtility::reportStruct::msg

int XalanFileUtility::reportStruct::nogold

int XalanFileUtility::reportStruct::pass

XalanDOMString XalanFileUtility::reportStruct::testOrFile

XalanDOMString XalanFileUtility::reportStruct::theDrive

XalanDOMString XalanFileUtility::reportStruct::xmlFileURL

XalanDOMString XalanFileUtility::reportStruct::xmlFormat

XalanDOMString XalanFileUtility::reportStruct::xslFileURL

The documentation for this struct was generated from the following file:

- XalanFileUtility.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.